[needs-packaging] vbam

Bug #378561 reported by Taylor "Ripps" LeMasurier-Wren on 2009-05-20
34
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Debian
New
Unknown
Ubuntu
Wishlist
Sergio Benjamim

Bug Description

VBA-M is a [Super] Game Boy [Color / Advance] emulator for Windows, Linux & Mac. It is an improved fork from the inactive VisualBoyAdvance project, adding several features as well as maintaining an up-to-date codebase. After VisualBoyAdvance became inactive in 2004, several forks began to appear such as VBALink, which allowed users to emulate the linking of two Gameboy devices. Eventually, VBA-M was created, which merged several of the forks into one codebase. Thus, the M in VBA-M stands for Merge. (wiki)

It includes three versions: a SDL version that runs from the command line, gvbam that runs as a gtk window and uses cairo and/or OpenGL, and wxvbam, a very experimental VBA-M front-end using wxWidgets.

URL: http://vba-m.com/
     http://sourceforge.net/projects/vbam/
License: GPLv2
Notes: runs much better than the VBA Express, and it is still in development

Changed in ubuntu:
assignee: nobody → Taylor "Ripps" L-Wren (ripps818)
tags: added: needs-packaging
Brian Murray (brian-murray) wrote :

*** This is an automated message ***

This bug is tagged needs-packaging which identifies it as a request for a new package in Ubuntu. As a part of the managing needs-packaging bug reports specification, https://wiki.ubuntu.com/QATeam/Specs/NeedsPackagingBugs, all needs-packaging bug reports have Wishlist importance. Subsequently, I'm setting this bug's status to Wishlist.

Changed in ubuntu:
importance: Undecided → Wishlist
Changed in debian:
status: Unknown → New

I believe this needs packaged because:

Problems with Visualboy Advance in the Ubuntu repository:

- Program runs with lesser performance.
- Has a critical issue where GB games run "too fast" and GBA games "too slow".
- Is not being actively developed.
- It has less features.

VBA-M adds fixes all of these issues and includes both a GTK graphical interface and an SDL command line Interface. I have tested the program myself and can confirm it runs without any show stopping issues on Lucid and Maverick. More testing and review may be needed I suppose, though in it's current state it has far more functionality than VisualboyAdvance, which hardly gets off the ground.

Leon Nardella (leon.nardella) wrote :

I set up a daily build for vbam in ppa:leon.nardella/vbam-daily.
It currently hosts packages for Ubuntu Maverick and Natty.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed
Sergio Benjamim (sergio-br2) wrote :

getdeb has a package of vbam. Is it not possible to use in ubuntu universe?

Changed in ubuntu:
assignee: Taylor "Ripps" LeMasurier-Wren (ripps818) → Sergio Benjamim (sergio-br2)
status: Confirmed → In Progress
description: updated
Sergio Benjamim (sergio-br2) wrote :

The last version of vba-m with some patchs to work in ubuntu is here:

code.launchpad.net/~sergio-br2/vbam/fixes

The ppa for testing the 1229 svn version (only trusty packages):

launchpad.net/~sergio-br2/+archive/vbam-trunk

If you are using Unity, there is a problem related with that integrated window menu (some menus will not work or will get weird behavior, and there are issues with save and load games). Runs gvbam with this:

env UBUNTU_MENUPROXY=0 gvbam

Other know issue is that sometimes it loses all config (paths, bios, sound...).

Sergio Benjamim (sergio-br2) wrote :

There is a package in debian mentors now, needs only a sponsor:

http://mentors.debian.net/package/vbam

John Pyper (jpyper) wrote :

@Sergio

Any chance of getting your vbam-trunk PPA to have a 16.04 xenial build? The PPA currently goes up to 15.10 wily. I really don't want to mix release versions, even though the package is quite old.

I would make a PPA myself for a 16.04 version, but packaging is over my head at this time. Learning to package is on my to-do list though.

I personally like the vbam-wx package myself, and it seems like nobody else is building it.

Thank you.

Hi,

Last time I tried, it was not building properly with last git commit. Is
it working now?

sergio-br2

On 04/11/2016 18:16, John Pyper wrote:
> @Sergio
>
> Any chance of getting your vbam-trunk PPA to have a 16.04 xenial build?
> The PPA currently goes up to 15.10 wily. I really don't want to mix
> release versions, even though the package is quite old.
>
> I would make a PPA myself for a 16.04 version, but packaging is over my
> head at this time. Learning to package is on my to-do list though.
>
> I personally like the vbam-wx package myself, and it seems like nobody
> else is building it.
>
> Thank you.
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.